package com.mdd.admin.vo.setting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("通知设置列表Vo")
public class SettingNoticeListedVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("通知名称")
   private String name;
   @ApiModelProperty("通知类型")
   private String type;
   @ApiModelProperty("通知状态")
   private Integer systemStatus;
   @ApiModelProperty("通知状态")
   private Integer smsStatus;
   @ApiModelProperty("公众号状态")
   private Integer oaStatus;
   @ApiModelProperty("小程序状态")
   private Integer mnpStatus;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public String getType() {
      return this.type;
   }

   public Integer getSystemStatus() {
      return this.systemStatus;
   }

   public Integer getSmsStatus() {
      return this.smsStatus;
   }

   public Integer getOaStatus() {
      return this.oaStatus;
   }

   public Integer getMnpStatus() {
      return this.mnpStatus;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setType(String type) {
      this.type = type;
   }

   public void setSystemStatus(Integer systemStatus) {
      this.systemStatus = systemStatus;
   }

   public void setSmsStatus(Integer smsStatus) {
      this.smsStatus = smsStatus;
   }

   public void setOaStatus(Integer oaStatus) {
      this.oaStatus = oaStatus;
   }

   public void setMnpStatus(Integer mnpStatus) {
      this.mnpStatus = mnpStatus;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingNoticeListedVo)) {
         return false;
      } else {
         SettingNoticeListedVo other = (SettingNoticeListedVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label119;
                  }
               } else if (this$id.equals(other$id)) {
                  break label119;
               }

               return false;
            }

            Object this$systemStatus = this.getSystemStatus();
            Object other$systemStatus = other.getSystemStatus();
            if (this$systemStatus == null) {
               if (other$systemStatus != null) {
                  return false;
               }
            } else if (!this$systemStatus.equals(other$systemStatus)) {
               return false;
            }

            label105: {
               Object this$smsStatus = this.getSmsStatus();
               Object other$smsStatus = other.getSmsStatus();
               if (this$smsStatus == null) {
                  if (other$smsStatus == null) {
                     break label105;
                  }
               } else if (this$smsStatus.equals(other$smsStatus)) {
                  break label105;
               }

               return false;
            }

            Object this$oaStatus = this.getOaStatus();
            Object other$oaStatus = other.getOaStatus();
            if (this$oaStatus == null) {
               if (other$oaStatus != null) {
                  return false;
               }
            } else if (!this$oaStatus.equals(other$oaStatus)) {
               return false;
            }

            label91: {
               Object this$mnpStatus = this.getMnpStatus();
               Object other$mnpStatus = other.getMnpStatus();
               if (this$mnpStatus == null) {
                  if (other$mnpStatus == null) {
                     break label91;
                  }
               } else if (this$mnpStatus.equals(other$mnpStatus)) {
                  break label91;
               }

               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            label77: {
               Object this$type = this.getType();
               Object other$type = other.getType();
               if (this$type == null) {
                  if (other$type == null) {
                     break label77;
                  }
               } else if (this$type.equals(other$type)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$createTime = this.getCreateTime();
               Object other$createTime = other.getCreateTime();
               if (this$createTime == null) {
                  if (other$createTime == null) {
                     break label70;
                  }
               } else if (this$createTime.equals(other$createTime)) {
                  break label70;
               }

               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingNoticeListedVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $systemStatus = this.getSystemStatus();
      result = result * 59 + ($systemStatus == null ? 43 : $systemStatus.hashCode());
      Object $smsStatus = this.getSmsStatus();
      result = result * 59 + ($smsStatus == null ? 43 : $smsStatus.hashCode());
      Object $oaStatus = this.getOaStatus();
      result = result * 59 + ($oaStatus == null ? 43 : $oaStatus.hashCode());
      Object $mnpStatus = this.getMnpStatus();
      result = result * 59 + ($mnpStatus == null ? 43 : $mnpStatus.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "SettingNoticeListedVo(id=" + this.getId() + ", name=" + this.getName() + ", type=" + this.getType() + ", systemStatus=" + this.getSystemStatus() + ", smsStatus=" + this.getSmsStatus() + ", oaStatus=" + this.getOaStatus() + ", mnpStatus=" + this.getMnpStatus() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
